Package org.codehaus.commons.compiler.util.iterator

# Class DirectoryIterator.DirectoryNotListableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.commons.compiler.util.iterator.DirectoryIterator.DirectoryNotListableException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DirectoryIterator`

public static class DirectoryIterator.DirectoryNotListableException extends RuntimeException
Indicates that `File.listFiles()` returned `null` for a particular directory.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DirectoryNotListableException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DirectoryNotListableException

public DirectoryNotListableException(String message)